summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorzwelch <zwelch@b42882b7-edfa-0310-969c-e2dbd0fdcd60>2009-05-13 21:55:16 +0000
committerzwelch <zwelch@b42882b7-edfa-0310-969c-e2dbd0fdcd60>2009-05-13 21:55:16 +0000
commit3df27e5ce5bb4c62839370f67ea3fd78f987e84d (patch)
tree92f87b2130c98a61297857992d1b366a4483015b /bootstrap
parentba66ccea35f44835bd96d9f39ef0d4a06e7885a1 (diff)
downloadopenocd+libswd-3df27e5ce5bb4c62839370f67ea3fd78f987e84d.tar.gz
openocd+libswd-3df27e5ce5bb4c62839370f67ea3fd78f987e84d.tar.bz2
openocd+libswd-3df27e5ce5bb4c62839370f67ea3fd78f987e84d.tar.xz
openocd+libswd-3df27e5ce5bb4c62839370f67ea3fd78f987e84d.zip
Fix bootstrap script to support MacOS glibtoolize oddity.
git-svn-id: svn://svn.berlios.de/openocd/trunk@1779 b42882b7-edfa-0310-969c-e2dbd0fdcd60
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap26
1 files changed, 21 insertions, 5 deletions
diff --git a/bootstrap b/bootstrap
index b49fda32..2e7b5329 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,8 +1,24 @@
-aclocal \
-&& autoheader \
-&& libtoolize --automake \
-&& automake --foreign --add-missing --copy \
-&& autoconf
+#!/bin/sh -e
+
+if libtoolize --version >/dev/null 2>&1; then
+ libtoolize="libtoolize"
+elif libtoolize --version >/dev/null 2>&1; then
+ libtoolize="glibtoolize"
+else
+ echo "libtool is required" >&2
+ exit 1
+fi
+
+# bootstrap the autotools
+(
+set -x
+aclocal
+autoheader
+${libtoolize} --automake --copy
+autoconf
+autoheader
+automake --foreign --add-missing --copy
+)
# AM_MAINTAINER_MODE requires SVN users provide --enable-maintainer-mode
# otherwise the documentation will fail to build due to missing version.texi